/** ###################################################################
**     Filename  : i2c_universal.H
** ###################################################################*/

#ifndef __i2c_H
#define __i2c_H

/* MODULE i2c */

#define I2C_BUSY 1
#define I2C_SHORT  2
#define I2C_ACK 3
#define I2C_NODEV 4

typedef char bool;
typedef unsigned char byte;

char i2c_write(char[]);
char i2c_read(char req[], char resp[]); 
char i2c_read_only(char t[]);
bool i2c_busy(void);
char i2clasterror(void);
char device_busy(byte addr);
void IIC1_Init(void);

/* END i2c */

#endif

